<body style="margin: 0">
  <div id="container"></div>
  <script src="js/three.js"></script>

  <script id="vertexShader" type="x-shader/x-vertex">
    void main() {
        gl_Position = vec4( position, 1.0 );
    }
  </script>
  <script id="fragmentShader" type="x-shader/x-fragment">
  
#ifdef GL_ES
precision mediump float;
#endif

uniform vec2 u_resolution;
uniform vec2 u_mouse;
uniform float u_time;
vec2 rotate(vec2 st_,float a)
    {
    return st_*mat2(cos(a),sin(a),-sin(a),cos(a));
}
void main() {
    vec2 st = gl_FragCoord.xy/u_resolution.xy;
    vec2 uv = gl_FragCoord.xy/u_resolution.xy;
    st.x *= u_resolution.x/u_resolution.y;
st.y=st.y*2.-1.;
    st.x=st.x*2.;
    st.x-=.75;
    vec3 color = vec3(0.);
    float div=10.;
    vec2 id= floor(st*div)/div;
    for(int i=0;i<100;i++)
        {
        st.x+=-0.368;
                st*=1.192;
        st=rotate(st,float(i)/20.000);
        vec2 temp=st-.0052;
        luces        color+=vec3(1./pow(length(st*6.568+vec2(0,5.0*sin(float(i)+u_time*1.))),2.));
        color-=vec3(1.952/pow(length(temp*6.568+vec2(0,5.0*sin(float(i)+u_time*1.))),2.));
        temp=st+0.460;
        color+=vec3(1./pow(length(temp*6.568+vec2(0,5.0*sin(float(i)+u_time*1.))),2.));

    }

    gl_FragColor = vec4(color,1.0);
}
  </script>
  <script>
    var container;
    var camera, scene, renderer, clock;
    var uniforms;

    init();
    animate();

    function init() {
      container = document.getElementById("container");

      camera = new THREE.Camera();
      camera.position.z = 1;

      scene = new THREE.Scene();
      clock = new THREE.Clock();

      var geometry = new THREE.PlaneBufferGeometry(2, 2);
      var time = performance.now() * 0.0005;

      uniforms = {
        u_time: { type: "f", value: time },
        u_resolution: { type: "v2", value: new THREE.Vector2() },
        u_mouse: { type: "v2", value: new THREE.Vector2() },
      };

      var material = new THREE.ShaderMaterial({
        uniforms: uniforms,
        vertexShader: document.getElementById("vertexShader").textContent,
        fragmentShader: document.getElementById("fragmentShader").textContent,
      });

      var mesh = new THREE.Mesh(geometry, material);
      scene.add(mesh);

      renderer = new THREE.WebGLRenderer();
      renderer.setPixelRatio(window.devicePixelRatio);

      container.appendChild(renderer.domElement);

      onWindowResize();
      window.addEventListener("resize", onWindowResize, false);

      document.onmousemove = function (e) {
        uniforms.u_mouse.value.x = e.pageX;
        uniforms.u_mouse.value.y = e.pageY;
      };
    }

    function onWindowResize(event) {
      renderer.setSize(window.innerWidth, window.innerHeight);
      uniforms.u_resolution.value.x = renderer.domElement.width;
      uniforms.u_resolution.value.y = renderer.domElement.height;
    }

    function animate() {
      requestAnimationFrame(animate);
      render();
    }

    function render() {
      uniforms.u_time.value += clock.getDelta();
      renderer.render(scene, camera);
    }
  </script>
</body>